This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 109049 - Interface not enabled for RIP
Interface not enabled for RIP
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: quagga (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-04 12:07 EST by Jos Vos
Modified: 2014-08-31 19:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-16 12:14:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jos Vos 2003-11-04 12:07:27 EST
Description of problem:
When using ripd (same config files as with zebra 0.93a), incoming RIP
packets seemed to be ignored.  After turning on "debug rip events",
the log file says "RIP is not enabled on interface eth0" when
receiving a RIP packet on eth0.  According to
<http://lists.quagga.net/pipermail/quagga-users/2003-September/000454.html>
this is a known bug in ripd.

Version-Release number of selected component (if applicable):
0.96.2-4.3E
(own rebuild of the RHEL 3 src.rpm, not tested on original RHEL 3)

Solution:
I upgraded to quagga 0.96.4 and that solved the problem.  RPM build
hints: the libcap patch is not necessary anymore and the warnings
patch needs to be adapted, for the rest the 0.96.2-4.3E src.rpm works
fine with 0.96.4.
Comment 1 Jay Turner 2004-01-16 12:14:09 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-349.html

Note You need to log in before you can comment on or make changes to this bug.